Annonce

  •  » Installation
  •  » [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

#1 2013-07-16 10:00:28

macagoule
Invité

[Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

Bonjour,

Ayant re-migré mon installe piwigo vers Free, en version 2.3 aucun souci mais lorsque j'ai lancé avec succès l'upgrade manuel, j'ai eu cette erreur :

Warning:  [mysql error 1146] Table 'macagoule.users' doesn't exist

SELECT id AS id
     , username AS username
     , password AS password
     , mail_address AS email
  FROM users
  WHERE id = '2' in /mnt/159/sdb/c/0/macagoule/include/dblayer/functions_mysql.inc.php on line 795

http://macagoule.free.fr/index.php

Bien évidemment, tout les autres messages d'erreurs semblent dépendant de ce premier.

En examinant un peu l'erreur, il semble que dans cette requête le paramètre $prefixeTable = 'piwigo_';
défini dans local/config ne soit pas pris en compte...

Une idée ?

D'avance merci :)
Macagoule

#2 2013-07-16 10:12:08

mistic100
Ex Equipe Piwigo
Lyon
2008-09-27
3561

Re: [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

Bonjour,

il y a des dizaines de topics à ce sujet

solution : supprimez dans votre fichier de configuration locale, le paramètre qui force la table à "users" ($conf['user_table'] ou un truc du genre)

Hors ligne

#3 2013-07-16 10:30:18

macagoule
Membre
2013-07-16
4

Re: [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

Bonjour,

Je vous remercie vivement pour votre réponse rapide, en effet j'ai commenté cette ligne et plus d'erreur.

// $conf['users_table'] = $prefixeTable.'users';

Par contre pour ma compréhension, je ne comprend pas l'incidence directe avec mon souci dans le sens
ou mon préfixe est bien défini dans la variable prefixeTable ?

Bref, en tout cas merci encore pour la rapidité de la réponse et pour le boulot que vous faites !!!

Macagoule

Hors ligne

#4 2013-07-16 10:41:22

mistic100
Ex Equipe Piwigo
Lyon
2008-09-27
3561

Re: [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

parce que l'ordre de chargement des fichiers a changé en 2.4, donc à cet instant $prefixeTable est vide

ps: si j'ai raison, dans votre fichier config.inc.php vous avez en gros copié collé tout le fichier de config_default, si c'est le cas vous devriez netoyer et supprimer tous les paramètres inutiles (identiques à config_default)

Hors ligne

#5 2013-07-16 10:52:34

macagoule
Membre
2013-07-16
4

Re: [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

Je vais en effet jeter un oeil et faire du ménage comme vous le préconisez :)
Pouvez-vous passer le titre en [résolu] svp car j'avais initié le post en invité.
Encore merci. Macagoule

Hors ligne

  •  » Installation
  •  » [Résolu] [FREE] Erreur suite à mise à jour de version 2.3 -> 2.5.2

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact